<!DOCTYPE html>
<html lang="nl">
<head>
	<meta charset="utf-8">
	<title>Nummerreeks App | ~%header%</title>
	<link rel="stylesheet" href="/static/css/bootstrap/bootstrap.min.css">
	<link rel="stylesheet" href="/static/css/bcd.css">
	<script src="/static/js/jquery-3.5.1.js"></script>
	<script src="/static/js/bootstrap/bootstrap.min.js"></script>
	<script src="/static/js/bcd.util.js"></script>
	<script src="/static/js/bcd.shared.js"></script>
	<script src="/static/js/bcd.dialog.js"></script>
	<script src="/static/js/bcd.edit.institute.js"></script>
	<script>
		const BASE_PATH = "~%basePath%";
		const MODEL_BEAN = ~%modelBean%;
		const PERMISSION = '~%permission%';
		const SEARCH_REQUEST = "~%js:searchRequest%";
		const HAS_REQUESTS = "~%hasRequests%" === "true";

		function closeWindow() {
			showListPage();
		}
	</script>
</head>

<body>

~%%include:adminNavbar:/html/include/AdminNavbar.html%

<h1>~%header%</h1>
	
<div class="center-screen" >
	<div class="small-input-container">
		<table id="input-container">
			<tr>
				<td class="left-col"><label for="instituteName">Naam</label></td>
				<td class="right-col"><input id="instituteName" name="instituteName" maxlength="64"></td>
			</tr>
			<tr>
				<td class="left-col"><label for="instituteCode">Instituut code</label></td>
				<td class="right-col"><input id="instituteCode" name="instituteCode" maxlength="8"></td>
			</tr>
			<tr>
				<td class="left-col"><label for="active">Actief</label></td>
				<td class="right-col"><input id="active" name="active" type="checkbox" checked="checked"></td>
			</tr>
		</table>
			
		~%%include:/html/include/EditButtons.html%
		
	</div>
</div>

~%%include:bsDialog:/html/include/BSDialog.html%
	
<script>

let canOverwriteCode = true;
	
$(document).ready(function() {

	initEditPage();	
	
	if(!HAS_REQUESTS && !isNull(MODEL_BEAN.instituteId)) {
		$("#delete-button").css("display", "inline-block").click(function() {
			deleteRecord("Instituut", MODEL_BEAN.instituteId, MODEL_BEAN.instituteCode);
		});
	}
	
	const nameElem = $("input[name='instituteName']");
	const codeElem = $("input[name='instituteCode']");
	
	if(codeElem.val().length === 0) {
		nameElem.keyup(function() {
			if(canOverwriteCode && codeElem.val().length < 9) {
				codeElem.val(nameElem.val());
			}
		});
		codeElem.keydown(function() {
			canOverwriteCode = false;
		});
	}
	

});
</script>

</body>
</html>